package com.neusoft.smart.pos.device.persistent.domain;

import java.io.Serializable;

public class ConfigStrategy implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private Integer id;
	
	private Integer strategyId;
	
	private Integer deviceId;
	
	private String configUrl;
	
	private String configFileName;
	
	private String configFileCode;
	
	private Integer status;
	
	public Integer getId() {
		return id;
	}
	
	public void setId(Integer id) {
		this.id = id;
	}
	
	public Integer getStrategyId() {
		return strategyId;
	}
	
	public void setStrategyId(Integer strategyId) {
		this.strategyId = strategyId;
	}
	
	public Integer getDeviceId() {
		return deviceId;
	}
	
	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}
	
	public String getConfigUrl() {
		return configUrl;
	}
	
	public void setConfigUrl(String configUrl) {
		this.configUrl = configUrl == null ? null : configUrl.trim();
	}
	
	public String getConfigFileName() {
		return configFileName;
	}
	
	public void setConfigFileName(String configFileName) {
		this.configFileName = configFileName == null ? null : configFileName.trim();
	}
	
	public String getConfigFileCode() {
		return configFileCode;
	}
	
	public void setConfigFileCode(String configFileCode) {
		this.configFileCode = configFileCode == null ? null : configFileCode.trim();
	}
	
	public Integer getStatus() {
		return status;
	}
	
	public void setStatus(Integer status) {
		this.status = status;
	}
}